Upsert subscription
curl --request PUT \
--url https://api.getcargo.io/v1/notification/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateSlug": "http",
"config": {},
"timeZone": "<string>",
"isEnabled": true,
"stateUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getcargo.io/v1/notification/subscriptions"
payload = {
"templateSlug": "http",
"config": {},
"timeZone": "<string>",
"isEnabled": True,
"stateUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateSlug: 'http',
config: {},
timeZone: '<string>',
isEnabled: true,
stateUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getcargo.io/v1/notification/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getcargo.io/v1/notification/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'templateSlug' => 'http',
'config' => [
],
'timeZone' => '<string>',
'isEnabled' => true,
'stateUuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getcargo.io/v1/notification/subscriptions"
payload := strings.NewReader("{\n \"templateSlug\": \"http\",\n \"config\": {},\n \"timeZone\": \"<string>\",\n \"isEnabled\": true,\n \"stateUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getcargo.io/v1/notification/subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"templateSlug\": \"http\",\n \"config\": {},\n \"timeZone\": \"<string>\",\n \"isEnabled\": true,\n \"stateUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getcargo.io/v1/notification/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"templateSlug\": \"http\",\n \"config\": {},\n \"timeZone\": \"<string>\",\n \"isEnabled\": true,\n \"stateUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"subscription": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stateUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateSlug": "http",
"config": {},
"timeZone": "<string>",
"isEnabled": true,
"lastSentAt": "<string>",
"lastRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}Notification - Subscriptions
Upsert subscription
Create or change the signed-in user’s subscription to a template for a project of the workspace, or for the whole workspace (PUT /notification/subscriptions).
PUT
/
notification
/
subscriptions
Upsert subscription
curl --request PUT \
--url https://api.getcargo.io/v1/notification/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateSlug": "http",
"config": {},
"timeZone": "<string>",
"isEnabled": true,
"stateUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getcargo.io/v1/notification/subscriptions"
payload = {
"templateSlug": "http",
"config": {},
"timeZone": "<string>",
"isEnabled": True,
"stateUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateSlug: 'http',
config: {},
timeZone: '<string>',
isEnabled: true,
stateUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getcargo.io/v1/notification/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getcargo.io/v1/notification/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'templateSlug' => 'http',
'config' => [
],
'timeZone' => '<string>',
'isEnabled' => true,
'stateUuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getcargo.io/v1/notification/subscriptions"
payload := strings.NewReader("{\n \"templateSlug\": \"http\",\n \"config\": {},\n \"timeZone\": \"<string>\",\n \"isEnabled\": true,\n \"stateUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getcargo.io/v1/notification/subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"templateSlug\": \"http\",\n \"config\": {},\n \"timeZone\": \"<string>\",\n \"isEnabled\": true,\n \"stateUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getcargo.io/v1/notification/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"templateSlug\": \"http\",\n \"config\": {},\n \"timeZone\": \"<string>\",\n \"isEnabled\": true,\n \"stateUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"subscription": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stateUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateSlug": "http",
"config": {},
"timeZone": "<string>",
"isEnabled": true,
"lastSentAt": "<string>",
"lastRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}Authorizations
bearerAuthoauth2
Scopes
Headers
Client-generated key that makes this write safe to retry. Reusing the same key with the same request returns the original response instead of creating a second record. Reusing it with a different request returns 422. A concurrent retry while the first request is still running returns 409. Keys expire after 24 hours. Not accepted on multipart file uploads. Optional: a request without one is processed as it always was.
Maximum string length:
255Example:
"8e03978e-40d5-43e8-bc93-6894a57f9324"
Body
application/json
Request body schema.
Was this page helpful?

